MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025350Community[OCCT] OCCT:Visualizationpublic2014-10-10 12:572016-07-11 11:28
Reporterjelle 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025350: Visualization - provide a dpi-scaling ratio for V3d_View
Descriptionsee: http://dev.opencascade.org/index.php?q=node/1002 [^]

Currently, Visualization layer in OCCT is currently dpi-unaware.
This is a concern for for Retina displays on OS X, Windows (see also APIs introduced in Windows 8.1) and Android as well.

Right now, an OCCT visualization on a mac book pro ( or the other platforms mentioned above ) do not provide hi-resolution OpenGL windows on hardware that supports these features.

providing a global dpi-scaling in V3d_View would be a very welcome addition.
this way, the application can react on events ( such as you mention moving from a hi-dpi to a conventional monitor ) and it would serve as a logical API call to manage hi-dpi resolution on any platform...
Additional information
and documentation updates
on Cocoa_Window's NSVIew, the setWantsBestResolutionOpenGLSurface method should be called for hi-resolution rendering, if supported by the hardware. however, as the discussion on the forum outlines, providing hi-dpi support is more involved.
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0026790closedbugmaster Open CASCADE Visualization, TKOpenGl - apply view resolution to the line width in OpenGl_Context::SetLineWidth() 
parent of 0026791assignedkgv Open CASCADE Visualization, TKOpenGl - apply view resolution to built-in markers 
related to 0026298closedbugmaster Open CASCADE Visualization, OpenGl_Text - make font resolution configurable 
child of 0025146closedbugmaster Open CASCADE Porting to Android 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0055773)
kgv (developer)
2016-07-09 17:29

Dear bugmaster,

please close this issue.

The patch for 0026298 introduced per-view resolution factor (as Graphic3d_RenderingParams::Resolution parameter) which can be used to display correctly fixed-size elements on HiDPI screens.

- Issue History
Date Modified Username Field Change
2014-10-10 12:57 jelle New Issue
2014-10-10 12:57 jelle Assigned To => kgv
2014-10-10 12:59 kgv Target Version => 7.1.0
2014-10-10 12:59 kgv Summary dpi-unawareness: provide a global dpi-scaling ratio for V3d_View => Visualization - provide a dpi-scaling ratio for V3d_View
2014-12-01 10:08 kgv Relationship added child of 0025146
2014-12-19 09:03 kgv Relationship added child of 0025295
2015-06-01 13:04 apl Relationship added related to 0026298
2015-10-21 09:23 kgv Relationship added parent of 0026790
2015-10-21 09:25 kgv Relationship added parent of 0026791
2016-07-09 17:29 kgv Note Added: 0055773
2016-07-09 17:29 kgv Assigned To kgv => bugmaster
2016-07-09 17:29 kgv Status new => feedback
2016-07-09 17:29 kgv Resolution open => fixed
2016-07-09 17:29 kgv Fixed in Version => 7.0.0
2016-07-09 17:29 kgv Target Version 7.1.0 => 7.0.0
2016-07-11 11:23 bugmaster Status feedback => tested
2016-07-11 11:27 bugmaster Status tested => verified
2016-07-11 11:28 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker